import { flatten } from './flatten';
export function getSlotFirstVNode(slots, identificationKey, flattenedData = false) {
    var _a;
    const flattened = slots ? flatten(slots(), identificationKey) : null;
    const firstVNode = (_a = flattened === null || flattened === void 0 ? void 0 : flattened[0]) !== null && _a !== void 0 ? _a : null;
    if (!flattenedData)
        return firstVNode;
    return [firstVNode, flattened];
}
export function getSlotVNodeIndex(slots, key) {
    var _a;
    if (!key)
        return -1;
    return (_a = slots === null || slots === void 0 ? void 0 : slots().findIndex(slot => slot.type.iKey === key)) !== null && _a !== void 0 ? _a : -1;
}
