import { camelToKebab } from './kebabCaseEscape';
import { renderSlot, createTextVNode } from './renderFunction';
export function propsMergeSlots(props, slots, name, stringRenderer, vnodeRenderer) {
    const propValue = (props !== null && props !== void 0 ? props : {})[name];
    const renderProp = propValue ? (typeof propValue === 'string' ? (stringRenderer ? stringRenderer(propValue) : createTextVNode(propValue)) : vnodeRenderer ? vnodeRenderer(propValue()) : propValue()) : null;
    const kebabKey = camelToKebab(name);
    return slots[name] || slots[kebabKey] ? renderSlot(slots, camelToKebab(name)) : renderProp;
}
