import type { CNode } from 'css-render';
export interface CSSRenderState {
    key: string;
    name: string;
    isMounted: boolean;
    isStatic: boolean;
    theme: CNode;
}
export interface Theme {
    key: string;
    main?: CNode;
    light?: CNode;
    dark?: CNode;
    custom?: CNode;
}
export declare function useThemeRegister(theme: Theme): void;
export declare const ThemeMap: Map<string, {
    inherit?: string | undefined;
    states: CSSRenderState[];
}>;
