import * as components from './components';
const NoNeedRegister = ['McMessage', 'McAsyncMessage', 'McPopup'];
const install = (app) => {
    Object.keys(components)
        .filter(key => !NoNeedRegister.includes(key))
        .map(key => components[key]).forEach(component => {
        app.component('Mc' + component.name, component);
    });
};
export default { install };
