declare const _default: import("vue").DefineComponent<{
    width: {
        type: import("vue").PropType<string | number | undefined>;
        default: number;
    };
    bordered: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    collapsed: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    collapsable: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    collapsedWidth: {
        type: import("vue").PropType<string | number | undefined>;
        default: number;
    };
    triggerPosition: {
        type: import("vue").PropType<{
            top?: import("csstype").TopProperty<string | number> | undefined;
            bottom?: import("csstype").BottomProperty<string | number> | undefined;
        } | undefined>;
        default: undefined;
    };
    triggerType: {
        type: import("vue").PropType<"bar" | "button" | undefined>;
        default: string;
    };
    transitionMode: {
        type: import("vue").PropType<"transform" | "width" | undefined>;
        default: string;
    };
    onBeforeToggle: {
        type: import("vue").PropType<(isCollapsed: boolean) => boolean | void | Promise<boolean | void | undefined> | undefined>;
        default: undefined;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "toggled"[], "toggled", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    width: {
        type: import("vue").PropType<string | number | undefined>;
        default: number;
    };
    bordered: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    collapsed: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    collapsable: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    collapsedWidth: {
        type: import("vue").PropType<string | number | undefined>;
        default: number;
    };
    triggerPosition: {
        type: import("vue").PropType<{
            top?: import("csstype").TopProperty<string | number> | undefined;
            bottom?: import("csstype").BottomProperty<string | number> | undefined;
        } | undefined>;
        default: undefined;
    };
    triggerType: {
        type: import("vue").PropType<"bar" | "button" | undefined>;
        default: string;
    };
    transitionMode: {
        type: import("vue").PropType<"transform" | "width" | undefined>;
        default: string;
    };
    onBeforeToggle: {
        type: import("vue").PropType<(isCollapsed: boolean) => boolean | void | Promise<boolean | void | undefined> | undefined>;
        default: undefined;
    };
}>> & {
    onToggled?: ((...args: any[]) => any) | undefined;
}, {
    width: string | number | undefined;
    bordered: boolean | undefined;
    collapsed: boolean | undefined;
    collapsable: boolean | undefined;
    collapsedWidth: string | number | undefined;
    triggerPosition: {
        top?: import("csstype").TopProperty<string | number> | undefined;
        bottom?: import("csstype").BottomProperty<string | number> | undefined;
    } | undefined;
    triggerType: "bar" | "button" | undefined;
    transitionMode: "transform" | "width" | undefined;
    onBeforeToggle: (isCollapsed: boolean) => boolean | void | Promise<boolean | void | undefined> | undefined;
}>;
export default _default;
