export const menuInjectionKey = Symbol();
export const subMenuInjectionKey = Symbol();
export const menuGroupInjectionKey = Symbol();
export const menuIKey = Symbol('menu');
export const menuItemIKey = Symbol('menuItem');
export const menuItemGroupIKey = Symbol('menuItemGroup');
export const subMenuIKey = Symbol('subMenu');
export const menuProps = {
    value: {
        type: [String, Number, Symbol],
        default: undefined
    },
    expandKeys: {
        type: Array,
        default: undefined
    },
    disabled: {
        type: Boolean,
        default: false
    },
    indent: {
        type: Number,
        default: 28
    },
    unique: {
        type: Boolean,
        default: false
    },
    collapsed: {
        type: Boolean,
        default: false
    },
    collapsedWidth: {
        type: Number,
        default: 64
    },
    collapsedIconSize: {
        type: Number,
        default: 20
    },
    horizontal: {
        type: Boolean,
        default: false
    },
    options: {
        type: Array,
        default: undefined
    }
};
export const menuItemProps = {
    disabled: {
        type: Boolean,
        default: false
    },
    indent: {
        type: [Number, String],
        default: undefined
    }
};
export const menuItemGroupProps = {
    title: {
        type: [String, Function],
        default: undefined
    },
    disabled: {
        type: Boolean,
        default: false
    },
    indent: {
        type: [Number, String],
        default: undefined
    }
};
export const subMenuProps = {
    title: {
        type: [String, Function],
        default: undefined
    },
    disabled: {
        type: Boolean,
        default: false
    },
    indent: {
        type: [Number, String],
        default: undefined
    },
    unique: {
        type: Boolean,
        default: false
    }
};
