declare const _default: import("vue").DefineComponent<{
    trigger: {
        type: import("vue").PropType<import("./interface").PopoverTrigger | undefined>;
        default: string;
    };
    placement: {
        type: import("vue").PropType<import("./interface").PopoverPlacement | undefined>;
        default: string;
    };
    destroyWhenHide: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    zIndex: {
        type: import("vue").PropType<number | undefined>;
        default: undefined;
    };
    show: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    disabled: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    withArrow: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    showDelay: {
        type: import("vue").PropType<number | undefined>;
        default: number;
    };
    hideDelay: {
        type: import("vue").PropType<number | undefined>;
        default: number;
    };
    offset: {
        type: import("vue").PropType<import("./interface").PopoverOffset | undefined>;
        default: undefined;
    };
    wrapBoundary: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    matchTrigger: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    autoSync: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    title: {
        type: import("vue").PropType<string | undefined>;
        default: undefined;
    };
    content: {
        type: import("vue").PropType<string | (() => import("vue").VNodeChild) | undefined>;
        default: undefined;
    };
    followMode: {
        type: import("vue").PropType<import("./interface").PopoverFollowMode | undefined>;
        default: string;
    };
    x: {
        type: import("vue").PropType<number | undefined>;
        default: undefined;
    };
    y: {
        type: import("vue").PropType<number | undefined>;
        default: undefined;
    };
    teleport: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
}, () => import("../_utils_").SpecificVNode<object>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, string[], string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    trigger: {
        type: import("vue").PropType<import("./interface").PopoverTrigger | undefined>;
        default: string;
    };
    placement: {
        type: import("vue").PropType<import("./interface").PopoverPlacement | undefined>;
        default: string;
    };
    destroyWhenHide: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    zIndex: {
        type: import("vue").PropType<number | undefined>;
        default: undefined;
    };
    show: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    disabled: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    withArrow: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    showDelay: {
        type: import("vue").PropType<number | undefined>;
        default: number;
    };
    hideDelay: {
        type: import("vue").PropType<number | undefined>;
        default: number;
    };
    offset: {
        type: import("vue").PropType<import("./interface").PopoverOffset | undefined>;
        default: undefined;
    };
    wrapBoundary: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    matchTrigger: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    autoSync: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    title: {
        type: import("vue").PropType<string | undefined>;
        default: undefined;
    };
    content: {
        type: import("vue").PropType<string | (() => import("vue").VNodeChild) | undefined>;
        default: undefined;
    };
    followMode: {
        type: import("vue").PropType<import("./interface").PopoverFollowMode | undefined>;
        default: string;
    };
    x: {
        type: import("vue").PropType<number | undefined>;
        default: undefined;
    };
    y: {
        type: import("vue").PropType<number | undefined>;
        default: undefined;
    };
    teleport: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
}>> & {
    [x: `on${string}`]: ((...args: any[]) => any) | undefined;
}, {
    content: string | (() => import("vue").VNodeChild) | undefined;
    show: boolean | undefined;
    x: number | undefined;
    y: number | undefined;
    zIndex: number | undefined;
    disabled: boolean | undefined;
    offset: import("./interface").PopoverOffset | undefined;
    title: string | undefined;
    placement: import("./interface").PopoverPlacement | undefined;
    trigger: import("./interface").PopoverTrigger | undefined;
    destroyWhenHide: boolean | undefined;
    withArrow: boolean | undefined;
    showDelay: number | undefined;
    hideDelay: number | undefined;
    wrapBoundary: boolean | undefined;
    matchTrigger: boolean | undefined;
    autoSync: boolean | undefined;
    followMode: import("./interface").PopoverFollowMode | undefined;
    teleport: boolean | undefined;
}>;
export default _default;
