import { PropType } from 'vue';
import { PopoverPlacement } from '../popover';
import { PopselectOption } from './interface';
declare const _default: import("vue").DefineComponent<{
    placement: {
        type: PropType<PopoverPlacement>;
        default: string;
    };
    value: {
        type: PropType<import("./interface").PopselectValue | undefined>;
        default: undefined;
    };
    options: {
        type: PropType<PopselectOption[] | undefined>;
        default: never[];
    };
    multiple: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    maxHeight: {
        type: PropType<number | undefined>;
        default: number;
    };
    autoClose: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    autoScroll: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    truncate: {
        type: PropType<number | boolean | undefined>;
        default: number;
    };
    itemHeight: {
        type: PropType<number | undefined>;
        default: number;
    };
    itemStyle: {
        type: PropType<import("../_utils_").ElementStyleSet | undefined>;
        default: undefined;
    };
    trigger: {
        type: PropType<import("../popover").PopoverTrigger | undefined>;
        default: string;
    };
    destroyWhenHide: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    zIndex: {
        type: PropType<number | undefined>;
        default: undefined;
    };
    show: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    withArrow: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    showDelay: {
        type: PropType<number | undefined>;
        default: number;
    };
    hideDelay: {
        type: PropType<number | undefined>;
        default: number;
    };
    offset: {
        type: PropType<import("../popover/interface").PopoverOffset | undefined>;
        default: undefined;
    };
    wrapBoundary: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    matchTrigger: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    autoSync: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    title: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    content: {
        type: PropType<string | (() => import("vue").VNodeChild) | undefined>;
        default: undefined;
    };
    followMode: {
        type: PropType<import("../popover").PopoverFollowMode | undefined>;
        default: string;
    };
    x: {
        type: PropType<number | undefined>;
        default: undefined;
    };
    y: {
        type: PropType<number | undefined>;
        default: undefined;
    };
    teleport: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
}, () => import("../_utils_").SpecificVNode<{
    onShow: (...args: Array<unknown>) => void;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, string[], string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    placement: {
        type: PropType<PopoverPlacement>;
        default: string;
    };
    value: {
        type: PropType<import("./interface").PopselectValue | undefined>;
        default: undefined;
    };
    options: {
        type: PropType<PopselectOption[] | undefined>;
        default: never[];
    };
    multiple: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    maxHeight: {
        type: PropType<number | undefined>;
        default: number;
    };
    autoClose: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    autoScroll: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    truncate: {
        type: PropType<number | boolean | undefined>;
        default: number;
    };
    itemHeight: {
        type: PropType<number | undefined>;
        default: number;
    };
    itemStyle: {
        type: PropType<import("../_utils_").ElementStyleSet | undefined>;
        default: undefined;
    };
    trigger: {
        type: PropType<import("../popover").PopoverTrigger | undefined>;
        default: string;
    };
    destroyWhenHide: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    zIndex: {
        type: PropType<number | undefined>;
        default: undefined;
    };
    show: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    withArrow: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    showDelay: {
        type: PropType<number | undefined>;
        default: number;
    };
    hideDelay: {
        type: PropType<number | undefined>;
        default: number;
    };
    offset: {
        type: PropType<import("../popover/interface").PopoverOffset | undefined>;
        default: undefined;
    };
    wrapBoundary: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    matchTrigger: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    autoSync: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    title: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    content: {
        type: PropType<string | (() => import("vue").VNodeChild) | undefined>;
        default: undefined;
    };
    followMode: {
        type: PropType<import("../popover").PopoverFollowMode | undefined>;
        default: string;
    };
    x: {
        type: PropType<number | undefined>;
        default: undefined;
    };
    y: {
        type: PropType<number | undefined>;
        default: undefined;
    };
    teleport: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
}>> & {
    [x: `on${string}`]: ((...args: any[]) => any) | undefined;
}, {
    value: import("./interface").PopselectValue | undefined;
    content: string | (() => import("vue").VNodeChild) | undefined;
    show: boolean | undefined;
    x: number | undefined;
    y: number | undefined;
    maxHeight: number | undefined;
    zIndex: number | undefined;
    multiple: boolean | undefined;
    disabled: boolean | undefined;
    offset: import("../popover/interface").PopoverOffset | undefined;
    title: string | undefined;
    placement: PopoverPlacement;
    trigger: import("../popover").PopoverTrigger | undefined;
    destroyWhenHide: boolean | undefined;
    withArrow: boolean | undefined;
    showDelay: number | undefined;
    hideDelay: number | undefined;
    wrapBoundary: boolean | undefined;
    matchTrigger: boolean | undefined;
    autoSync: boolean | undefined;
    followMode: import("../popover").PopoverFollowMode | undefined;
    teleport: boolean | undefined;
    options: PopselectOption[] | undefined;
    autoClose: boolean | undefined;
    autoScroll: boolean | undefined;
    truncate: number | boolean | undefined;
    itemHeight: number | undefined;
    itemStyle: import("../_utils_").ElementStyleSet | undefined;
}>;
export default _default;
