"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSlotVNodeIndex = exports.getSlotFirstVNode = void 0;
const flatten_1 = require("./flatten");
function getSlotFirstVNode(slots, identificationKey, flattenedData = false) {
    var _a;
    const flattened = slots ? (0, flatten_1.flatten)(slots(), identificationKey) : null;
    const firstVNode = (_a = flattened === null || flattened === void 0 ? void 0 : flattened[0]) !== null && _a !== void 0 ? _a : null;
    if (!flattenedData)
        return firstVNode;
    return [firstVNode, flattened];
}
exports.getSlotFirstVNode = getSlotFirstVNode;
function getSlotVNodeIndex(slots, key) {
    var _a;
    if (!key)
        return -1;
    return (_a = slots === null || slots === void 0 ? void 0 : slots().findIndex(slot => slot.type.iKey === key)) !== null && _a !== void 0 ? _a : -1;
}
exports.getSlotVNodeIndex = getSlotVNodeIndex;
