"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.responsiveTarget = void 0;
const vue_1 = require("vue");
const lodash_es_1 = require("lodash-es");
function responsiveTarget(target) {
    return (0, vue_1.isReactive)(target) ? target : (0, vue_1.reactive)((0, lodash_es_1.cloneDeep)(target));
}
exports.responsiveTarget = responsiveTarget;
