"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _utils_1 = require("../../_utils_");
exports.default = (0, _utils_1.c)([
    (0, _utils_1.c)('.mc-anchor, .mc-anchor-link', {
        display: 'flex',
        flexDirection: 'column',
        position: 'relative'
    }),
    (0, _utils_1.c)('.mc-anchor-link', {
        paddingLeft: '10px'
    }),
    (0, _utils_1.c)('.mc-anchor-link-title', {
        textDecoration: 'none',
        color: 'inherit',
        borderRadius: '4px',
        transition: 'background 0.2s, color 0.2s',
        padding: '4px 8px'
    }),
    (0, _utils_1.c)('.mc-anchor-indicator', {
        position: 'absolute',
        width: '4px',
        height: '100%',
        top: 0,
        left: 0
    }, [
        (0, _utils_1.c)('&-track', {
            width: '100%',
            height: 'calc(100% - 8px)',
            borderRadius: '4px',
            position: 'relative',
            top: '4px'
        }),
        (0, _utils_1.c)('&-marker', {
            position: 'absolute',
            width: '100%',
            height: '21px',
            left: 0,
            transition: 'top 0.2s',
            borderRadius: '4px'
        })
    ])
]);
