"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkboxGroupPros = exports.checkboxProps = exports.checkboxIKey = exports.checkboxGroupInjectionKey = void 0;
exports.checkboxGroupInjectionKey = Symbol();
exports.checkboxIKey = Symbol('checkbox');
exports.checkboxProps = {
    value: {
        type: [String, Number, Boolean],
        default: undefined
    },
    label: {
        type: String,
        default: undefined
    },
    size: {
        type: String,
        default: 'medium'
    },
    checkedValue: {
        type: [String, Number, Boolean],
        default: true
    },
    uncheckedValue: {
        type: [String, Number, Boolean],
        default: false
    },
    disabled: {
        type: Boolean,
        default: false
    },
    indeterminate: {
        type: Boolean,
        default: false
    },
    checkedColor: {
        type: String,
        default: undefined
    }
};
exports.checkboxGroupPros = {
    value: {
        type: Array,
        default: undefined
    },
    options: {
        type: Array,
        default: undefined
    },
    max: {
        type: Number,
        default: undefined
    },
    disabled: {
        type: Boolean,
        default: false
    },
    checkedColor: {
        type: String,
        default: '#10b981'
    }
};
