"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _utils_1 = require("../../_utils_");
exports.default = (0, _utils_1.c)([
    (0, _utils_1.c)('.mc-checkbox', {
        boxSizing: 'border-box',
        display: 'inline-flex',
        justifyContent: 'center',
        alignItems: 'center',
        flexFlow: 'row wrap',
        position: 'relative'
    }, [
        (0, _utils_1.c)('*', {
            boxSizing: 'border-box'
        }),
        (0, _utils_1.c)('&--disabled', [
            (0, _utils_1.c)('*, .mc-checkbox__label, .mc-checkbox__label *', {
                cursor: 'not-allowed'
            })
        ])
    ]),
    (0, _utils_1.c)('.mc-checkbox__input', {
        opacity: 0,
        width: 0,
        margin: 0
    }, [
        (0, _utils_1.c)('&:checked + .mc-checkbox__label > span:first-child', {
            background: 'var(--checkbox-checked-color)',
            borderColor: 'var(--checkbox-checked-color)',
            animation: 'mc-checkbox-zoom-in-out 0.2s ease'
        }, [
            (0, _utils_1.c)('svg', {
                strokeDashoffset: 0
            })
        ])
    ]),
    (0, _utils_1.c)('.mc-checkbox__label', {
        userSelect: 'none',
        cursor: 'pointer',
        padding: '6px 8px',
        borderRadius: '6px',
        overflow: 'hidden',
        transition: 'all 0.2s ease',
        display: 'flex',
        alignItems: 'center'
    }, [
        (0, _utils_1.c)('&:not(:last-child)', {
            marginRight: '6px'
        }),
        (0, _utils_1.c)('&:hover', {
            background: 'var(--checkbox-hover-color)'
        }),
        (0, _utils_1.c)('& > span', {
            verticalAlign: 'middle',
            transform: 'translate3d(0, 0, 0)'
        }),
        (0, _utils_1.c)('& > span:first-child', {
            position: 'relative',
            flex: '0 0 18px',
            width: '18px',
            height: '18px',
            borderRadius: '4px',
            transform: 'var(--checkbox-scale-size)',
            transition: 'all 0.2s ease'
        }, [
            (0, _utils_1.c)('svg', {
                position: 'absolute',
                top: '3px',
                left: '2px',
                fill: 'none',
                strokeDasharray: '16px',
                strokeDashoffset: '16px',
                transition: 'all 0.2s ease',
                transform: 'translate3d(0, 0, 0)'
            })
        ]),
        (0, _utils_1.c)('& > span:last-child', {
            paddingLeft: '8px',
            lineHeight: '18px'
        }),
        (0, _utils_1.c)('&:hover > span:first-child', {
            borderColor: 'var(--checkbox-checked-color)'
        })
    ]),
    (0, _utils_1.c)('@keyframes mc-checkbox-zoom-in-out', {
        '50%': {
            transform: 'scale(0.81)'
        }
    })
]);
