"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _utils_1 = require("../../_utils_");
exports.default = (0, _utils_1.c)([
    (0, _utils_1.c)('.mc-input', {
        background: '#fff'
    }, [
        (0, _utils_1.c)('&:not(&--disabled):hover, &--focused', [
            (0, _utils_1.c)('.mc-input-wrapper::before, .mc-input-wrapper::after', {
                borderColor: 'var(--input-active-border-color) !important'
            })
        ]),
        (0, _utils_1.c)('&--disabled', {
            background: 'rgb(250, 250, 252)'
        }, [(0, _utils_1.c)('*', { color: '#bbb' })]),
        (0, _utils_1.c)('&--focused > &-wrapper::after', {
            boxShadow: '0 0 0.5px 1.5px var(--input-state-border-shadow-color)'
        }),
        (0, _utils_1.c)('&__prefix, &__suffix, &__inner', {
            color: '#bbb'
        })
    ]),
    (0, _utils_1.c)('.mc-input-clear-icon, .mc-input-eye-icon', [
        (0, _utils_1.c)('&:hover', {
            color: '#999'
        })
    ]),
    (0, _utils_1.c)('.mc-input-wrapper', [
        (0, _utils_1.c)('&::before, &::after', {
            border: '1px solid var(--input-border-color)'
        })
    ]),
    (0, _utils_1.c)('.mc-input-word-count', {
        color: '#bbb'
    }),
    (0, _utils_1.c)('.mc-input-prepend, .mc-input-append', {
        border: '1px solid #e0e0e6',
        background: 'rgb(250, 250, 252)'
    }),
    (0, _utils_1.c)('.mc-input-prepend', {
        borderRight: 'none'
    }),
    (0, _utils_1.c)('.mc-input-append', {
        borderLeft: 'none'
    })
]);
