"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.layoutFooterProps = exports.layoutHeaderProps = exports.layoutSiderProps = exports.layoutProps = exports.basicRowLayoutComponentIKey = exports.basicColumnLayoutComponentIKey = exports.layoutSiderIKey = exports.layoutFooterIKey = exports.layoutContentIKey = exports.layoutHeaderIKey = exports.layoutIKey = exports.layoutInjectionKey = void 0;
exports.layoutInjectionKey = Symbol('layoutInjectionKey');
exports.layoutIKey = Symbol('layout');
exports.layoutHeaderIKey = Symbol('layoutHeader');
exports.layoutContentIKey = Symbol('layoutContent');
exports.layoutFooterIKey = Symbol('layoutFooter');
exports.layoutSiderIKey = Symbol('layoutSider');
exports.basicColumnLayoutComponentIKey = Symbol('basicColumnLayoutComponent');
exports.basicRowLayoutComponentIKey = Symbol('basicRowLayoutComponent');
exports.layoutProps = {
    preset: {
        type: String,
        default: undefined
    },
    siderRight: {
        type: Boolean,
        default: false
    },
    siderWidth: {
        type: [String, Number],
        default: 100
    },
    leftSiderWidth: {
        type: [String, Number],
        default: 100
    },
    rightSiderWidth: {
        type: [String, Number],
        default: 100
    },
    fixedSider: {
        type: Boolean,
        default: undefined
    },
    fixedLeftSider: {
        type: Boolean,
        default: undefined
    },
    fixedRightSider: {
        type: Boolean,
        default: undefined
    },
    fixedHeader: {
        type: Boolean,
        default: undefined
    },
    fixedFooter: {
        type: Boolean,
        default: undefined
    },
    siderStyle: {
        type: [Object, String],
        default: undefined
    },
    leftSiderStyle: {
        type: [Object, String],
        default: undefined
    },
    rightSiderStyle: {
        type: [Object, String],
        default: undefined
    },
    headerStyle: {
        type: [Object, String],
        default: undefined
    },
    contentStyle: {
        type: [Object, String],
        default: undefined
    },
    footerStyle: {
        type: [Object, String],
        default: undefined
    },
    siderClass: {
        type: [Object, String, Array],
        default: undefined
    },
    leftSiderClass: {
        type: [Object, String, Array],
        default: undefined
    },
    rightSiderClass: {
        type: [Object, String, Array],
        default: undefined
    },
    headerClass: {
        type: [Object, String, Array],
        default: undefined
    },
    contentClass: {
        type: [Object, String, Array],
        default: undefined
    },
    footerClass: {
        type: [Object, String, Array],
        default: undefined
    },
    showSider: {
        type: Boolean,
        default: true
    },
    showLeftSider: {
        type: Boolean,
        default: true
    },
    showRightSider: {
        type: Boolean,
        default: true
    },
    showHeader: {
        type: Boolean,
        default: true
    },
    showContent: {
        type: Boolean,
        default: true
    },
    showFooter: {
        type: Boolean,
        default: true
    }
};
exports.layoutSiderProps = {
    width: {
        type: [String, Number],
        default: 100
    },
    bordered: {
        type: Boolean,
        default: false
    },
    collapsed: {
        type: Boolean,
        default: false
    },
    collapsable: {
        type: Boolean,
        default: false
    },
    collapsedWidth: {
        type: [String, Number],
        default: 64
    },
    triggerPosition: {
        type: Object,
        default: undefined
    },
    triggerType: {
        type: String,
        default: 'button'
    },
    transitionMode: {
        type: String,
        default: 'width'
    },
    onBeforeToggle: {
        type: Function,
        default: undefined
    }
};
exports.layoutHeaderProps = {
    bordered: {
        type: Boolean,
        default: false
    }
};
exports.layoutFooterProps = {
    bordered: {
        type: Boolean,
        default: false
    }
};
