"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const interface_1 = require("../interface");
exports.default = (0, vue_1.defineComponent)({
    name: 'LayoutContent',
    iKey: interface_1.layoutContentIKey,
    setup(props, { slots }) {
        var _a;
        const { parent } = (_a = (0, vue_1.getCurrentInstance)()) !== null && _a !== void 0 ? _a : {};
        if (parent && parent.type.iKey !== interface_1.layoutIKey) {
            throw new Error('[McLayoutHeader]: McLayoutHeader must be placed inside McLayout.');
        }
        // main logic...
        return () => {
            return (0, vue_1.createVNode)('main', { class: 'mc-layout-content' }, [(0, vue_1.renderSlot)(slots, 'default')]);
        };
    }
});
