import type { CSSProperties } from 'vue';
declare const _default: import("vue").DefineComponent<{
    show: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    width: {
        type: import("vue").PropType<string | number | undefined>;
        default: number;
    };
    height: {
        type: import("vue").PropType<string | number | undefined>;
        default: string;
    };
    appearFromCursor: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    wrapperClosable: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    shortcutKey: {
        type: import("vue").PropType<string | undefined>;
        default: string;
    };
    closeOnShortcut: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    closable: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    headerStyle: {
        type: import("vue").PropType<string | CSSProperties | undefined>;
        default: undefined;
    };
    bodyStyle: {
        type: import("vue").PropType<string | CSSProperties | undefined>;
        default: undefined;
    };
    footerStyle: {
        type: import("vue").PropType<string | CSSProperties | undefined>;
        default: undefined;
    };
    headerClass: {
        type: import("vue").PropType<import("../_utils_").ElementClassSet>;
        default: undefined;
    };
    bodyClass: {
        type: import("vue").PropType<import("../_utils_").ElementClassSet>;
        default: undefined;
    };
    footerClass: {
        type: import("vue").PropType<import("../_utils_").ElementClassSet>;
        default: undefined;
    };
    title: {
        type: import("vue").PropType<string | (() => import("vue").VNodeChild) | undefined>;
        default: string;
    };
    showHeader: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    showFooter: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    cancelText: {
        type: import("vue").PropType<string | null | undefined>;
        default: undefined;
    };
    confirmText: {
        type: import("vue").PropType<string | null | undefined>;
        default: undefined;
    };
    pure: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    position: {
        type: import("vue").PropType<import("./interface").ModalPosition | undefined>;
        default: undefined;
    };
    animation: {
        type: import("vue").PropType<"scale" | "slide" | undefined>;
        default: string;
    };
    onBeforeLeave: {
        type: import("vue").PropType<import("./interface").OnBeforeLeaveImpl | undefined>;
        default: undefined;
    };
    appearX: {
        type: import("vue").PropType<number | undefined>;
        default: undefined;
    };
    appearY: {
        type: import("vue").PropType<number | undefined>;
        default: undefined;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}> | null, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:show" | "cancel" | "confirm" | "wrapper-click" | "shortcut-stroke" | "after-enter" | "after-leave" | "before-enter")[], "update:show" | "cancel" | "confirm" | "wrapper-click" | "shortcut-stroke" | "after-enter" | "after-leave" | "before-enter", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    show: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    width: {
        type: import("vue").PropType<string | number | undefined>;
        default: number;
    };
    height: {
        type: import("vue").PropType<string | number | undefined>;
        default: string;
    };
    appearFromCursor: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    wrapperClosable: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    shortcutKey: {
        type: import("vue").PropType<string | undefined>;
        default: string;
    };
    closeOnShortcut: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    closable: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    headerStyle: {
        type: import("vue").PropType<string | CSSProperties | undefined>;
        default: undefined;
    };
    bodyStyle: {
        type: import("vue").PropType<string | CSSProperties | undefined>;
        default: undefined;
    };
    footerStyle: {
        type: import("vue").PropType<string | CSSProperties | undefined>;
        default: undefined;
    };
    headerClass: {
        type: import("vue").PropType<import("../_utils_").ElementClassSet>;
        default: undefined;
    };
    bodyClass: {
        type: import("vue").PropType<import("../_utils_").ElementClassSet>;
        default: undefined;
    };
    footerClass: {
        type: import("vue").PropType<import("../_utils_").ElementClassSet>;
        default: undefined;
    };
    title: {
        type: import("vue").PropType<string | (() => import("vue").VNodeChild) | undefined>;
        default: string;
    };
    showHeader: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    showFooter: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    cancelText: {
        type: import("vue").PropType<string | null | undefined>;
        default: undefined;
    };
    confirmText: {
        type: import("vue").PropType<string | null | undefined>;
        default: undefined;
    };
    pure: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    position: {
        type: import("vue").PropType<import("./interface").ModalPosition | undefined>;
        default: undefined;
    };
    animation: {
        type: import("vue").PropType<"scale" | "slide" | undefined>;
        default: string;
    };
    onBeforeLeave: {
        type: import("vue").PropType<import("./interface").OnBeforeLeaveImpl | undefined>;
        default: undefined;
    };
    appearX: {
        type: import("vue").PropType<number | undefined>;
        default: undefined;
    };
    appearY: {
        type: import("vue").PropType<number | undefined>;
        default: undefined;
    };
}>> & {
    onCancel?: ((...args: any[]) => any) | undefined;
    onConfirm?: ((...args: any[]) => any) | undefined;
    "onUpdate:show"?: ((...args: any[]) => any) | undefined;
    "onWrapper-click"?: ((...args: any[]) => any) | undefined;
    "onShortcut-stroke"?: ((...args: any[]) => any) | undefined;
    "onAfter-enter"?: ((...args: any[]) => any) | undefined;
    "onAfter-leave"?: ((...args: any[]) => any) | undefined;
    "onBefore-enter"?: ((...args: any[]) => any) | undefined;
}, {
    show: boolean | undefined;
    height: string | number | undefined;
    position: import("./interface").ModalPosition | undefined;
    width: string | number | undefined;
    animation: "scale" | "slide" | undefined;
    onBeforeLeave: import("./interface").OnBeforeLeaveImpl | undefined;
    title: string | (() => import("vue").VNodeChild) | undefined;
    appearFromCursor: boolean | undefined;
    wrapperClosable: boolean | undefined;
    shortcutKey: string | undefined;
    closeOnShortcut: boolean | undefined;
    closable: boolean | undefined;
    headerStyle: string | CSSProperties | undefined;
    bodyStyle: string | CSSProperties | undefined;
    footerStyle: string | CSSProperties | undefined;
    headerClass: import("../_utils_").ElementClassSet;
    bodyClass: import("../_utils_").ElementClassSet;
    footerClass: import("../_utils_").ElementClassSet;
    showHeader: boolean | undefined;
    showFooter: boolean | undefined;
    cancelText: string | null | undefined;
    confirmText: string | null | undefined;
    pure: boolean | undefined;
    appearX: number | undefined;
    appearY: number | undefined;
}>;
export default _default;
