"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.popoverInjectionKey = exports.popoverEmits = exports.popoverProps = void 0;
exports.popoverProps = {
    trigger: {
        type: String,
        default: 'hover'
    },
    placement: {
        type: String,
        default: 'top'
    },
    destroyWhenHide: {
        type: Boolean,
        default: true
    },
    zIndex: {
        type: Number,
        default: undefined
    },
    show: {
        type: Boolean,
        default: false
    },
    disabled: {
        type: Boolean,
        default: false
    },
    withArrow: {
        type: Boolean,
        default: true
    },
    showDelay: {
        type: Number,
        default: 75
    },
    hideDelay: {
        type: Number,
        default: 75
    },
    offset: {
        type: Object,
        default: undefined
    },
    wrapBoundary: {
        type: Boolean,
        default: false
    },
    matchTrigger: {
        type: Boolean,
        default: false
    },
    autoSync: {
        type: Boolean,
        default: true
    },
    title: {
        type: String,
        default: undefined
    },
    content: {
        type: [String, Function],
        default: undefined
    },
    followMode: {
        type: String,
        default: 'move'
    },
    x: {
        type: Number,
        default: undefined
    },
    y: {
        type: Number,
        default: undefined
    },
    teleport: {
        type: Boolean,
        default: true
    }
};
exports.popoverEmits = ['show', 'hide', 'update:show', 'border-reached'];
exports.popoverInjectionKey = Symbol('popoverInjectionKey');
