import type { ObjectEmitsOptions, Plugin, Component } from 'vue';
import type { PopupSourceOptions, PopupInstance } from './interface';
export declare class PopupProvider {
    private app;
    private rootComponent;
    private hostElement;
    private plugins;
    private static readonly _plugins;
    constructor(rootComponent: Component);
    registerPlugins(plugins?: Plugin[]): void;
    mount(): void;
    unmount(): void;
    static use(plugin: Plugin): typeof PopupProvider;
}
declare function McPopup<P extends Record<string, any> = {}, E extends ObjectEmitsOptions = {}>(source: Component | string, options?: PopupSourceOptions<P, E>): PopupInstance;
export default McPopup;
