"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tabProps = exports.tabPaneProps = exports.tabsProps = exports.tabIKey = exports.tabPaneIKey = exports.tabsInjectionKey = void 0;
exports.tabsInjectionKey = Symbol();
exports.tabPaneIKey = Symbol('TabPane');
exports.tabIKey = Symbol('Tab');
exports.tabsProps = {
    value: {
        type: [String, Number],
        default: undefined
    },
    defaultTab: {
        type: [String, Number],
        default: undefined
    },
    type: {
        type: String,
        default: 'bar'
    },
    showLine: {
        type: Boolean,
        default: true
    },
    stretch: {
        type: Boolean,
        default: false
    },
    center: {
        type: Boolean,
        default: false
    },
    tabGap: {
        type: Number,
        default: 40
    },
    animation: {
        type: String,
        default: 'slide'
    },
    activeColor: {
        type: String,
        default: ''
    },
    barPosition: {
        type: String,
        default: 'bottom'
    },
    headerStyle: {
        type: [String, Object],
        default: undefined
    },
    headerClass: {
        type: String,
        default: undefined
    },
    contentStyle: {
        type: [String, Object],
        default: undefined
    },
    contentClass: {
        type: String,
        default: undefined
    },
    onBeforeTabSwitch: {
        type: Function,
        default: undefined
    }
};
exports.tabPaneProps = {
    name: {
        type: [String, Number],
        default: undefined
    },
    tabLabel: {
        type: [String, Function],
        default: undefined
    },
    tabStyle: {
        type: [String, Object],
        default: undefined
    },
    tabClass: {
        type: String,
        default: undefined
    },
    disabled: {
        type: Boolean,
        default: false
    },
    preload: {
        type: Boolean,
        default: false
    },
    lazy: {
        type: Boolean,
        default: false
    }
};
exports.tabProps = {
    name: {
        type: [String, Number],
        default: undefined
    },
    disabled: {
        type: Boolean,
        default: false
    }
};
