import { getCurrentInstance } from 'vue';
export function checkParent(parentKey, internalParent) {
    var _a;
    const mergedParent = internalParent !== null && internalParent !== void 0 ? internalParent : (_a = getCurrentInstance()) === null || _a === void 0 ? void 0 : _a.parent;
    if ((mergedParent === null || mergedParent === void 0 ? void 0 : mergedParent.type.name) === 'BaseTransition' || (mergedParent === null || mergedParent === void 0 ? void 0 : mergedParent.type.name) === 'FadeInExpandTransition' || (mergedParent === null || mergedParent === void 0 ? void 0 : mergedParent.type.displayName) === 'Transition')
        return checkParent(parentKey, mergedParent.parent);
    return !!(mergedParent && mergedParent.type.iKey === parentKey);
}
