import type { Slot } from 'vue';
import type { SpecificVNode } from './tsutils';
declare type TupleData<T> = [SpecificVNode<T> | null, SpecificVNode<T>[] | null];
export declare function getSlotFirstVNode<T = Record<string, unknown>>(slots: Slot | undefined, identificationKey: Symbol | Symbol[], flattenedData: true): TupleData<T>;
export declare function getSlotFirstVNode<T = Record<string, unknown>>(slots: Slot | undefined, identificationKey?: Symbol | Symbol[], flattenedData?: false): SpecificVNode<T> | null;
export declare function getSlotVNodeIndex(slots?: Slot, key?: Symbol): number;
export {};
