import { reactive, computed } from 'vue';
const sharedStack = reactive([]);
export function useSharedItems() {
    return {
        add(key) {
            sharedStack.push(key);
        },
        remove(key) {
            const index = sharedStack.findIndex(sharedKey => sharedKey === key);
            index > -1 && sharedStack.splice(index, 1);
        },
        topItem: computed(() => sharedStack[sharedStack.length - 1]),
        stack: sharedStack
    };
}
