export const buttonIKey = Symbol('button');
export const buttonProps = {
    type: {
        type: String,
        default: 'default'
    },
    size: {
        type: String,
        default: 'medium'
    },
    disabled: {
        type: Boolean,
        default: false
    },
    ghost: {
        type: Boolean,
        default: false
    },
    dashed: {
        type: Boolean,
        default: false
    },
    render: {
        type: String,
        default: 'normal'
    },
    round: {
        type: Boolean,
        default: false
    },
    circle: {
        type: Boolean,
        default: false
    },
    loading: {
        type: Boolean,
        default: false
    },
    block: {
        type: Boolean,
        default: false
    },
    iconRight: {
        type: Boolean,
        default: false
    },
    color: {
        type: String,
        default: undefined
    },
    textColor: {
        type: String,
        default: undefined
    },
    borderColor: {
        type: String,
        default: undefined
    },
    colorSet: {
        type: Object,
        default: undefined
    },
    textColorSet: {
        type: Object,
        default: undefined
    },
    borderColorSet: {
        type: Object,
        default: undefined
    }
};
export const buttonGroupProps = {
    type: {
        type: String,
        default: 'default'
    },
    size: {
        type: String,
        default: 'medium'
    },
    disabled: {
        type: Boolean,
        default: false
    },
    ghost: {
        type: Boolean,
        default: false
    },
    dashed: {
        type: Boolean,
        default: false
    },
    render: {
        type: String,
        default: 'normal'
    },
    vertical: {
        type: Boolean,
        default: false
    }
};
