import type { PropType, Component } from 'vue';
export interface IconProps {
    size?: number;
    color?: string;
    spin?: boolean;
    speed?: 'slow' | 'normal' | 'fast';
    icon?: Component;
}
export declare const iconProps: {
    size: {
        type: PropType<number | undefined>;
        default: undefined;
    };
    color: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    spin: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    speed: {
        type: PropType<"normal" | "slow" | "fast" | undefined>;
        default: string;
    };
    icon: {
        type: PropType<Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined>;
        default: undefined;
    };
};
