import type { InputPlaceholder, InputValidRule } from './interface';
declare const _default: import("vue").DefineComponent<{
    value: {
        type: import("vue").PropType<string | string[] | undefined>;
        default: undefined;
    };
    type: {
        type: import("vue").PropType<"textarea" | "text" | "password" | undefined>;
        default: string;
    };
    size: {
        type: import("vue").PropType<import("./interface").InputSize | undefined>;
        default: string;
    };
    placeholder: {
        type: import("vue").PropType<InputPlaceholder | InputPlaceholder[] | undefined>;
        default: string;
    };
    disabled: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    focusOnTyping: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    resizable: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    clearable: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    autosize: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    wordCount: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    loading: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    passwordVisible: {
        type: import("vue").PropType<"none" | "hover" | "click" | "mousedown" | undefined>;
        default: string;
    };
    minRows: {
        type: import("vue").PropType<number | undefined>;
        default: undefined;
    };
    maxRows: {
        type: import("vue").PropType<number | undefined>;
        default: undefined;
    };
    maxLength: {
        type: import("vue").PropType<number | undefined>;
        default: undefined;
    };
    inputLimits: {
        type: import("vue").PropType<import("./interface").InputLimitRule[] | undefined>;
        default: undefined;
    };
    composed: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    inputCount: {
        type: import("vue").PropType<number | undefined>;
        default: number;
    };
    separator: {
        type: import("vue").PropType<string | string[] | undefined>;
        default: undefined;
    };
    rules: {
        type: import("vue").PropType<InputValidRule[] | undefined>;
        default: undefined;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("clear" | "blur" | "change" | "focus" | "input" | "select" | "update:value" | "password-visible-change")[], "clear" | "input" | "select" | "blur" | "change" | "focus" | "update:value" | "password-visible-change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: import("vue").PropType<string | string[] | undefined>;
        default: undefined;
    };
    type: {
        type: import("vue").PropType<"textarea" | "text" | "password" | undefined>;
        default: string;
    };
    size: {
        type: import("vue").PropType<import("./interface").InputSize | undefined>;
        default: string;
    };
    placeholder: {
        type: import("vue").PropType<InputPlaceholder | InputPlaceholder[] | undefined>;
        default: string;
    };
    disabled: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    focusOnTyping: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    resizable: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    clearable: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    autosize: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    wordCount: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    loading: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    passwordVisible: {
        type: import("vue").PropType<"none" | "hover" | "click" | "mousedown" | undefined>;
        default: string;
    };
    minRows: {
        type: import("vue").PropType<number | undefined>;
        default: undefined;
    };
    maxRows: {
        type: import("vue").PropType<number | undefined>;
        default: undefined;
    };
    maxLength: {
        type: import("vue").PropType<number | undefined>;
        default: undefined;
    };
    inputLimits: {
        type: import("vue").PropType<import("./interface").InputLimitRule[] | undefined>;
        default: undefined;
    };
    composed: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    inputCount: {
        type: import("vue").PropType<number | undefined>;
        default: number;
    };
    separator: {
        type: import("vue").PropType<string | string[] | undefined>;
        default: undefined;
    };
    rules: {
        type: import("vue").PropType<InputValidRule[] | undefined>;
        default: undefined;
    };
}>> & {
    onFocus?: ((...args: any[]) => any) | undefined;
    onBlur?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
    onInput?: ((...args: any[]) => any) | undefined;
    onSelect?: ((...args: any[]) => any) | undefined;
    "onUpdate:value"?: ((...args: any[]) => any) | undefined;
    onClear?: ((...args: any[]) => any) | undefined;
    "onPassword-visible-change"?: ((...args: any[]) => any) | undefined;
}, {
    type: "textarea" | "text" | "password" | undefined;
    value: string | string[] | undefined;
    size: import("./interface").InputSize | undefined;
    separator: string | string[] | undefined;
    disabled: boolean | undefined;
    placeholder: InputPlaceholder | InputPlaceholder[] | undefined;
    autosize: boolean | undefined;
    loading: boolean | undefined;
    focusOnTyping: boolean | undefined;
    resizable: boolean | undefined;
    clearable: boolean | undefined;
    wordCount: boolean | undefined;
    passwordVisible: "none" | "hover" | "click" | "mousedown" | undefined;
    minRows: number | undefined;
    maxRows: number | undefined;
    maxLength: number | undefined;
    inputLimits: import("./interface").InputLimitRule[] | undefined;
    composed: boolean | undefined;
    rules: InputValidRule[] | undefined;
    inputCount: number | undefined;
}>;
export default _default;
