export const modalProps = {
    show: {
        type: Boolean,
        default: false
    },
    width: {
        type: [Number, String],
        default: 600
    },
    height: {
        type: [Number, String],
        default: 'initial'
    },
    appearFromCursor: {
        type: Boolean,
        default: true
    },
    wrapperClosable: {
        type: Boolean,
        default: true
    },
    shortcutKey: {
        type: String,
        default: 'Escape'
    },
    closeOnShortcut: {
        type: Boolean,
        default: true
    },
    closable: {
        type: Boolean,
        default: true
    },
    headerStyle: {
        type: [String, Object],
        default: undefined
    },
    bodyStyle: {
        type: [String, Object],
        default: undefined
    },
    footerStyle: {
        type: [String, Object],
        default: undefined
    },
    headerClass: {
        type: [String, Object, Array],
        default: undefined
    },
    bodyClass: {
        type: [String, Object, Array],
        default: undefined
    },
    footerClass: {
        type: [String, Object, Array],
        default: undefined
    },
    title: {
        type: [String, Function],
        default: ''
    },
    showHeader: {
        type: Boolean,
        default: true
    },
    showFooter: {
        type: Boolean,
        default: true
    },
    cancelText: {
        type: [String, Object],
        default: undefined
    },
    confirmText: {
        type: [String, Object],
        default: undefined
    },
    pure: {
        type: Boolean,
        default: false
    },
    position: {
        type: Object,
        default: undefined
    },
    animation: {
        type: String,
        default: 'scale'
    },
    onBeforeLeave: {
        type: Function,
        default: undefined
    },
    appearX: {
        type: Number,
        default: undefined
    },
    appearY: {
        type: Number,
        default: undefined
    }
};
export const modalInjectionKey = Symbol('modalInjectionKey');
