import { PropType } from 'vue';
import { PopoverTrigger } from '../popover';
declare const _default: import("vue").DefineComponent<{
    trigger: {
        type: PropType<PopoverTrigger>;
        default: string;
    };
    cancelText: {
        type: PropType<string | null>;
        default: string;
    };
    confirmText: {
        type: PropType<string | null>;
        default: string;
    };
    cancelDisabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    confirmDisabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    hideIcon: {
        type: PropType<boolean>;
        default: boolean;
    };
    onCancel: {
        type: PropType<import("./interface").OnCancelImpl | undefined>;
        default: undefined;
    };
    onConfirm: {
        type: PropType<import("./interface").OnConfirmImpl | undefined>;
        default: undefined;
    };
    contentStyle: {
        type: PropType<string | import("vue").CSSProperties | undefined>;
        default: undefined;
    };
    placement: {
        type: PropType<import("../popover").PopoverPlacement | undefined>;
        default: string;
    };
    destroyWhenHide: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    zIndex: {
        type: PropType<number | undefined>;
        default: undefined;
    };
    show: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    withArrow: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    showDelay: {
        type: PropType<number | undefined>;
        default: number;
    };
    hideDelay: {
        type: PropType<number | undefined>;
        default: number;
    };
    offset: {
        type: PropType<import("../popover/interface").PopoverOffset | undefined>;
        default: undefined;
    };
    wrapBoundary: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    matchTrigger: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    autoSync: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    title: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    content: {
        type: PropType<string | (() => import("vue").VNodeChild) | undefined>;
        default: undefined;
    };
    followMode: {
        type: PropType<import("../popover").PopoverFollowMode | undefined>;
        default: string;
    };
    x: {
        type: PropType<number | undefined>;
        default: undefined;
    };
    y: {
        type: PropType<number | undefined>;
        default: undefined;
    };
    teleport: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, string[], string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    trigger: {
        type: PropType<PopoverTrigger>;
        default: string;
    };
    cancelText: {
        type: PropType<string | null>;
        default: string;
    };
    confirmText: {
        type: PropType<string | null>;
        default: string;
    };
    cancelDisabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    confirmDisabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    hideIcon: {
        type: PropType<boolean>;
        default: boolean;
    };
    onCancel: {
        type: PropType<import("./interface").OnCancelImpl | undefined>;
        default: undefined;
    };
    onConfirm: {
        type: PropType<import("./interface").OnConfirmImpl | undefined>;
        default: undefined;
    };
    contentStyle: {
        type: PropType<string | import("vue").CSSProperties | undefined>;
        default: undefined;
    };
    placement: {
        type: PropType<import("../popover").PopoverPlacement | undefined>;
        default: string;
    };
    destroyWhenHide: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    zIndex: {
        type: PropType<number | undefined>;
        default: undefined;
    };
    show: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    withArrow: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    showDelay: {
        type: PropType<number | undefined>;
        default: number;
    };
    hideDelay: {
        type: PropType<number | undefined>;
        default: number;
    };
    offset: {
        type: PropType<import("../popover/interface").PopoverOffset | undefined>;
        default: undefined;
    };
    wrapBoundary: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    matchTrigger: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    autoSync: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    title: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    content: {
        type: PropType<string | (() => import("vue").VNodeChild) | undefined>;
        default: undefined;
    };
    followMode: {
        type: PropType<import("../popover").PopoverFollowMode | undefined>;
        default: string;
    };
    x: {
        type: PropType<number | undefined>;
        default: undefined;
    };
    y: {
        type: PropType<number | undefined>;
        default: undefined;
    };
    teleport: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
}>> & {
    [x: `on${string}`]: ((...args: any[]) => any) | undefined;
}, {
    content: string | (() => import("vue").VNodeChild) | undefined;
    show: boolean | undefined;
    x: number | undefined;
    y: number | undefined;
    zIndex: number | undefined;
    disabled: boolean | undefined;
    offset: import("../popover/interface").PopoverOffset | undefined;
    title: string | undefined;
    placement: import("../popover").PopoverPlacement | undefined;
    trigger: PopoverTrigger;
    destroyWhenHide: boolean | undefined;
    withArrow: boolean | undefined;
    showDelay: number | undefined;
    hideDelay: number | undefined;
    wrapBoundary: boolean | undefined;
    matchTrigger: boolean | undefined;
    autoSync: boolean | undefined;
    followMode: import("../popover").PopoverFollowMode | undefined;
    teleport: boolean | undefined;
    cancelText: string | null;
    confirmText: string | null;
    cancelDisabled: boolean;
    confirmDisabled: boolean;
    hideIcon: boolean;
    onCancel: import("./interface").OnCancelImpl | undefined;
    onConfirm: import("./interface").OnConfirmImpl | undefined;
    contentStyle: string | import("vue").CSSProperties | undefined;
}>;
export default _default;
