export const popselectProps = {
    value: {
        type: [String, Number, Array],
        default: undefined
    },
    options: {
        type: Array,
        default: []
    },
    multiple: {
        type: Boolean,
        default: false
    },
    maxHeight: {
        type: Number,
        default: 300
    },
    autoClose: {
        type: Boolean,
        default: undefined
    },
    autoScroll: {
        type: Boolean,
        default: true
    },
    truncate: {
        type: [Boolean, Number],
        default: 200
    },
    itemHeight: {
        type: Number,
        default: 40
    },
    itemStyle: {
        type: [String, Object],
        default: undefined
    }
};
export const popselectEmits = ['update:value', 'select'];
