import type { PropType, CSSProperties } from 'vue';
export interface SpaceProps {
    vertical?: boolean;
    gap?: number;
    itemStyle?: string | CSSProperties;
    justify?: 'flex-start' | 'flex-end' | 'center' | 'space-round' | 'space-between' | 'space-evenly';
}
export declare const spaceProps: {
    vertical: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    gap: {
        type: PropType<number | undefined>;
        default: number;
    };
    itemStyle: {
        type: PropType<string | CSSProperties | undefined>;
        default: undefined;
    };
    justify: {
        type: PropType<"space-between" | "space-evenly" | "center" | "flex-end" | "flex-start" | "space-round" | undefined>;
        default: string;
    };
};
