"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const css_render_1 = require("css-render");
const { c } = (0, css_render_1.CssRender)();
exports.default = c([
    c('&.icon-switch-transition-enter-from, &.icon-switch-transition-leave-to', {
        transform: 'scale(0.75)',
        opacity: 0
    }),
    c('&.icon-switch-transition-enter-to, &.icon-switch-transition-leave-from', {
        transform: `scale(1)`,
        opacity: 1
    }),
    c('&.icon-switch-transition-enter-active, &.icon-switch-transition-leave-active', {
        transformOrigin: 'center',
        position: 'absolute',
        transition: `all 0.2s cubic-bezier(.4, 0, .2, 1) !important`
    })
]);
