"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const _utils_1 = require("../_utils_");
const icon_switch_transition_cssr_1 = __importDefault(require("../_styles_/icon-switch-transition.cssr"));
exports.default = (0, vue_1.defineComponent)({
    name: 'IconSwitchTransition',
    setup(_, { slots }) {
        (0, vue_1.onMounted)(() => {
            (0, _utils_1.useThemeRegister)({
                key: 'McIconSwitchTransition',
                main: icon_switch_transition_cssr_1.default
            });
        });
        return () => (0, _utils_1.createComponentVNode)(vue_1.Transition, { name: 'icon-switch-transition' }, {
            default: () => (0, vue_1.renderSlot)(slots, 'default')
        });
    }
});
