"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkParent = void 0;
const vue_1 = require("vue");
function checkParent(parentKey, internalParent) {
    var _a;
    const mergedParent = internalParent !== null && internalParent !== void 0 ? internalParent : (_a = (0, vue_1.getCurrentInstance)()) === null || _a === void 0 ? void 0 : _a.parent;
    if ((mergedParent === null || mergedParent === void 0 ? void 0 : mergedParent.type.name) === 'BaseTransition' || (mergedParent === null || mergedParent === void 0 ? void 0 : mergedParent.type.name) === 'FadeInExpandTransition' || (mergedParent === null || mergedParent === void 0 ? void 0 : mergedParent.type.displayName) === 'Transition')
        return checkParent(parentKey, mergedParent.parent);
    return !!(mergedParent && mergedParent.type.iKey === parentKey);
}
exports.checkParent = checkParent;
