"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reactiveOmit = void 0;
const core_1 = require("@vueuse/core");
function reactiveOmit(target, ...omitKeys) {
    const pickKeys = Object.keys(target).filter(k => !omitKeys.includes(k));
    return (0, core_1.reactivePick)(target, ...pickKeys);
}
exports.reactiveOmit = reactiveOmit;
