"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.drawerInjectionKey = exports.drawerProps = void 0;
exports.drawerProps = {
    show: {
        type: Boolean,
        default: false
    },
    size: {
        type: [Number, String],
        default: '30%'
    },
    appearDirection: {
        type: String,
        default: 'right'
    },
    wrapperClosable: {
        type: Boolean,
        default: true
    },
    shortcutKey: {
        type: String,
        default: 'Escape'
    },
    closeOnShortcut: {
        type: Boolean,
        default: true
    },
    closable: {
        type: Boolean,
        default: true
    },
    headerStyle: {
        type: [String, Object],
        default: undefined
    },
    bodyStyle: {
        type: [String, Object],
        default: undefined
    },
    headerClass: {
        type: [String, Object, Array],
        default: undefined
    },
    bodyClass: {
        type: [String, Object, Array],
        default: undefined
    },
    title: {
        type: [String, Function],
        default: ''
    },
    showHeader: {
        type: Boolean,
        default: true
    },
    pure: {
        type: Boolean,
        default: false
    },
    onBeforeLeave: {
        type: Function,
        default: undefined
    }
};
exports.drawerInjectionKey = Symbol('drawerInjectionKey');
