import { RemovableRef } from '@vueuse/core';
import type { EventHookOn } from '@vueuse/core';
export declare type LanguageType = 'zh-CN' | 'en-US';
export declare const globalLanguage: RemovableRef<LanguageType>;
/**
 * User's integrate i18n controller
 */
export declare function useI18nController(initialLang?: LanguageType): {
    current: RemovableRef<LanguageType>;
    setLanguage: (lang?: LanguageType) => void;
    switchLanguage(): void;
    onLanguageChange: EventHookOn<LanguageType>;
};
