"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.inputProps = void 0;
exports.inputProps = {
    value: {
        type: [String, Array],
        default: undefined
    },
    type: {
        type: String,
        default: 'text'
    },
    size: {
        type: String,
        default: 'medium'
    },
    placeholder: {
        type: [String, Function, Array],
        default: '请输入'
    },
    disabled: {
        type: Boolean,
        default: false
    },
    focusOnTyping: {
        type: Boolean,
        default: false
    },
    resizable: {
        type: Boolean,
        default: true
    },
    clearable: {
        type: Boolean,
        default: false
    },
    autosize: {
        type: Boolean,
        default: false
    },
    wordCount: {
        type: Boolean,
        default: false
    },
    loading: {
        type: Boolean,
        default: false
    },
    passwordVisible: {
        type: String,
        default: 'click'
    },
    minRows: {
        type: Number,
        default: undefined
    },
    maxRows: {
        type: Number,
        default: undefined
    },
    maxLength: {
        type: Number,
        default: undefined
    },
    inputLimits: {
        type: Array,
        default: undefined
    },
    composed: {
        type: Boolean,
        default: false
    },
    inputCount: {
        type: Number,
        default: 2
    },
    separator: {
        type: [String, Array],
        default: undefined
    },
    rules: {
        type: Array,
        default: undefined
    }
};
