"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.subMenuProps = exports.menuItemGroupProps = exports.menuItemProps = exports.menuProps = exports.subMenuIKey = exports.menuItemGroupIKey = exports.menuItemIKey = exports.menuIKey = exports.menuGroupInjectionKey = exports.subMenuInjectionKey = exports.menuInjectionKey = void 0;
exports.menuInjectionKey = Symbol();
exports.subMenuInjectionKey = Symbol();
exports.menuGroupInjectionKey = Symbol();
exports.menuIKey = Symbol('menu');
exports.menuItemIKey = Symbol('menuItem');
exports.menuItemGroupIKey = Symbol('menuItemGroup');
exports.subMenuIKey = Symbol('subMenu');
exports.menuProps = {
    value: {
        type: [String, Number, Symbol],
        default: undefined
    },
    expandKeys: {
        type: Array,
        default: undefined
    },
    disabled: {
        type: Boolean,
        default: false
    },
    indent: {
        type: Number,
        default: 28
    },
    unique: {
        type: Boolean,
        default: false
    },
    collapsed: {
        type: Boolean,
        default: false
    },
    collapsedWidth: {
        type: Number,
        default: 64
    },
    collapsedIconSize: {
        type: Number,
        default: 20
    },
    horizontal: {
        type: Boolean,
        default: false
    },
    options: {
        type: Array,
        default: undefined
    }
};
exports.menuItemProps = {
    disabled: {
        type: Boolean,
        default: false
    },
    indent: {
        type: [Number, String],
        default: undefined
    }
};
exports.menuItemGroupProps = {
    title: {
        type: [String, Function],
        default: undefined
    },
    disabled: {
        type: Boolean,
        default: false
    },
    indent: {
        type: [Number, String],
        default: undefined
    }
};
exports.subMenuProps = {
    title: {
        type: [String, Function],
        default: undefined
    },
    disabled: {
        type: Boolean,
        default: false
    },
    indent: {
        type: [Number, String],
        default: undefined
    },
    unique: {
        type: Boolean,
        default: false
    }
};
