import type { VNode } from 'vue';
import type { MenuOption, KeyTree } from '../interface';
import type { Key } from '../../_utils_';
export declare function createKeyTree(children: VNode[], result?: KeyTree[]): KeyTree[];
export declare function createKeyTreeByOptions(options: MenuOption[], result?: KeyTree[]): KeyTree[];
export declare function createMenu(option: MenuOption): VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>;
export declare function findPath(tree: KeyTree[], key: Key, path?: Key[]): Key[] | undefined;
export declare function findNode(tree: KeyTree[], key: Key): KeyTree | undefined;
export declare function findParent(tree: KeyTree[] | MenuOption[], key: Key): KeyTree | MenuOption | undefined;
