"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _utils_1 = require("../../_utils_");
exports.default = (0, _utils_1.c)('.mc-popselect', [
    (0, _utils_1.c)('.mc-popselect-option', {
        padding: '7.5px 12px',
        cursor: 'pointer',
        borderRadius: '4px',
        transition: 'background-color .2s'
    }, [
        (0, _utils_1.c)('&:not(:last-child)', {
            marginBottom: '4px'
        }),
        (0, _utils_1.c)('&--disabled', {
            cursor: 'not-allowed'
        }),
        (0, _utils_1.c)('&__inner', {
            display: 'flex',
            justifyContent: 'space-between',
            alignItems: 'center'
        }, [
            (0, _utils_1.c)('& > div.truncate', {
                overflow: 'hidden',
                textOverflow: 'ellipsis',
                whiteSpace: 'nowrap',
                maxWidth: 'var(--popselect-inner-max-width)'
            })
        ])
    ])
]);
