"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.switchProps = void 0;
exports.switchProps = {
    value: {
        type: [String, Number, Boolean],
        default: undefined
    },
    disabled: {
        type: Boolean,
        default: false
    },
    size: {
        type: String,
        default: 'medium'
    },
    checkedValue: {
        type: [String, Number, Boolean],
        default: true
    },
    uncheckedValue: {
        type: [String, Number, Boolean],
        default: false
    },
    checkedText: {
        type: String,
        default: undefined
    },
    uncheckedText: {
        type: String,
        default: undefined
    },
    checkedColor: {
        type: String,
        default: undefined
    },
    uncheckedColor: {
        type: String,
        default: undefined
    },
    handlerColor: {
        type: String,
        default: undefined
    },
    textPlacement: {
        type: String,
        default: 'in'
    },
    square: {
        type: Boolean,
        default: false
    },
    checked: {
        type: Boolean,
        default: false
    },
    loading: {
        type: Boolean,
        default: false
    },
    inelastic: {
        type: Boolean,
        default: false
    },
    width: {
        type: [String, Number],
        default: undefined
    },
    onBeforeSwitch: {
        type: Function,
        default: undefined
    }
};
