"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const interface_1 = require("../interface");
exports.default = (0, vue_1.defineComponent)({
    name: 'Tab',
    iKey: interface_1.tabIKey,
    props: interface_1.tabProps,
    setup(props, { slots }) {
        const valueRef = (0, vue_1.inject)(interface_1.tabsInjectionKey, null);
        if (!valueRef) {
            throw new Error('[McTab]: McTab must be placed inside McTabs.');
        }
        return () => (0, vue_1.createVNode)('div', {
            class: 'mc-tabs-tab'
        }, [(0, vue_1.renderSlot)(slots, 'default')]);
    }
});
