"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _utils_1 = require("../../_utils_");
exports.default = (0, _utils_1.c)([
    (0, _utils_1.c)('.mc-tabs', [
        (0, _utils_1.c)('&__header-scroll-content', {
            display: 'flex',
            position: 'relative',
            minWidth: 'max-content'
        }),
        (0, _utils_1.c)('&-tab', {
            cursor: 'pointer',
            display: 'inline-flex',
            justifyContent: 'space-evenly',
            alignItems: 'center'
        }),
        (0, _utils_1.c)('&-tab--disabled', {
            cursor: 'not-allowed'
        })
    ]),
    (0, _utils_1.c)('.mc-tabs__header', [
        (0, _utils_1.c)('&--center &-scroll-content', {
            justifyContent: 'center'
        }),
        (0, _utils_1.c)('&--stretch .mc-tabs-tab', {
            flex: 1
        }),
        (0, _utils_1.c)('&--with-line', [
            (0, _utils_1.c)('.mc-tabs__header-bar--bottom + .mc-tabs__header-scroll-content', {
                borderTop: 'none'
            }),
            (0, _utils_1.c)('.mc-tabs__header-bar--top + .mc-tabs__header-scroll-content', {
                borderBottom: 'none'
            })
        ]),
        (0, _utils_1.c)('&-bar', {
            transition: '0.2s',
            position: 'absolute',
            width: '8192px'
        })
    ]),
    (0, _utils_1.c)('.mc-tabs__content', {
        paddingTop: '12px',
        overflow: 'auto'
    }),
    (0, _utils_1.c)('.mc-tabs--bar .mc-tabs__header', {
        position: 'relative'
    }, [
        (0, _utils_1.c)('.mc-tabs-tab', {
            margin: '0 var(--tab-gap)',
            padding: '12px 0',
            position: 'relative'
        }, [
            (0, _utils_1.c)('&:first-child', {
                marginLeft: 0
            }),
            (0, _utils_1.c)('&:last-child', {
                marginRight: 0
            }),
            (0, _utils_1.c)('&__label', {
                display: 'flex'
            })
        ]),
        (0, _utils_1.c)('&--bar-scale .mc-tabs-tab', [
            (0, _utils_1.c)('&::after', {
                content: "''",
                position: 'absolute',
                left: 0,
                bottom: '-1px',
                width: '100%',
                height: '2px',
                transition: 'transform 0.25s ease-in-out',
                transform: 'scaleX(0)'
            }),
            (0, _utils_1.c)('&--active::after', {
                transform: 'scaleX(1)'
            })
        ]),
        (0, _utils_1.c)('&-bar', {
            zIndex: 1,
            height: '2px'
        }, [(0, _utils_1.c)('&--bottom', { bottom: 0 }), (0, _utils_1.c)('&--top', { top: 0 })])
    ]),
    (0, _utils_1.c)('.mc-tabs--empty .mc-tabs-tab', {
        margin: '0 var(--tab-gap)',
        padding: '12px 0'
    }, [
        (0, _utils_1.c)('&:first-child', {
            marginLeft: 0
        }),
        (0, _utils_1.c)('&:last-child', {
            marginRight: 0
        }),
        (0, _utils_1.c)('&__label', {
            display: 'flex'
        })
    ]),
    (0, _utils_1.c)('.mc-tabs--card .mc-tabs-tab', {
        padding: '8px var(--tab-gap)',
        transition: '0.2s'
    }, [
        (0, _utils_1.c)('&--active', {
            position: 'relative'
        }, [
            (0, _utils_1.c)('&::before', {
                content: "''",
                position: 'absolute',
                left: 0,
                top: 0,
                width: '100%',
                height: '2px'
            }),
            (0, _utils_1.c)('&::after', {
                content: "''",
                position: 'absolute',
                left: 0,
                bottom: '-1px',
                width: '100%',
                height: '1px'
            })
        ])
    ]),
    (0, _utils_1.c)('.mc-tabs--segment', [
        (0, _utils_1.c)('.mc-tabs__header', {
            alignItems: 'center',
            boxSizing: 'border-box',
            borderRadius: '4px',
            position: 'relative'
        }, [
            (0, _utils_1.c)('&-scroll-content', {
                padding: '2px'
            }),
            (0, _utils_1.c)('&-bar', {
                borderRadius: '4px',
                top: '2px',
                height: 'calc(100% - 4px)',
                boxShadow: '0px 1px 4px 0px rgba(0, 0, 0, 0.02), 0px 2px 12px 0px rgba(0, 0, 0, 0.04), 0px 2px 6px 0px rgba(0, 0, 0, 0.02)'
            }),
            (0, _utils_1.c)('&--bar-fade .mc-tabs-tab', {
                transition: 'background 0.2s'
            }, [
                (0, _utils_1.c)('&--active', {
                    boxShadow: '0px 1px 4px 0px rgba(0, 0, 0, 0.02), 0px 2px 12px 0px rgba(0, 0, 0, 0.04), 0px 2px 6px 0px rgba(0, 0, 0, 0.02)'
                })
            ])
        ]),
        (0, _utils_1.c)('.mc-tabs-tab', {
            padding: '4px 0',
            borderRadius: '2px',
            margin: 0,
            flex: 1
        }, [(0, _utils_1.c)('&--active', { fontWeight: 'bold' })])
    ])
]);
